View Issue Details

IDProjectCategoryView StatusLast Update
0033291LazarusPackagespublic2018-04-22 10:30
ReporterStephanoAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.9 (SVN)Product Build 
Target VersionFixed in Version1.9 (SVN) 
Summary0033291: FPReport designer: Report components get stuck behind band and/or page
DescriptionReport components can get stuck behind bands and/or the page.
Bring to front / send to back toolbuttons are needed.
TagsNo tags attached.
Fixed in Revision57683
LazTarget-
Widgetset
Attached Files

Activities

Stephano

2018-03-01 11:55

developer   ~0106787

Pls disregard this request for the time being, as the cause might be the need to refresh the report structure window when a memo is moved. This refresh must be done automatically (it can't be done manually anyway).

Stephano

2018-03-25 22:06

developer   ~0107420

There are 2 issues here:

1- a memo slipping behind a larger memo: It is almost impossible to select the memo and move it with the arrow keys. One must either change the position in the OI, or resize the larger memo to uncover the problematic memo. The sound solution would be to implement a bringtofront/sendtoback toolbutton.

2- A memo placed on the bottom of a large (height wise) band will be unreachable if the band is shrunk. I am not sure how this should be tackled.

Michael Van Canneyt

2018-03-25 23:03

administrator   ~0107421

The reporting engine has no concept of Z-order. The drawing happens based purely on the order in the children's list. By putting an object first /last in the list, I can influence "z-order", so this will fix 1, but it will not fix 2.

I don't think 2 is fixable.

Stephano

2018-03-26 07:21

developer   ~0107423

For 2 (suitable for 1 too), it is possible to select any memo from within the report structure. At this stage the arrow keys change the selection within the report structure. Is there a way to move the focus one way or the other so that arrow keys move the memo on the page?

Michael Van Canneyt

2018-04-21 18:55

administrator   ~0107896

Fixed, added popup menu and both popup and elements menu now have bringtofront/sendtoback

Thanks for reporting !

Stephano

2018-04-21 19:24

developer   ~0107897

BringToFront and SendToBack do the opposite action. Pls switch the behavior.

Michael Van Canneyt

2018-04-21 20:44

administrator   ~0107898

They work correctly here.

Stephano

2018-04-21 21:25

developer   ~0107900

They work correctly in the preview. But in the designer they don't.
- Create 2 overlapping memos
- click on the overlapping section to find out which memo is in front
- send it to back
- click the overlapping area
The same memo will be selected.
- send it to front
- click the overlapping area
The other memo will be selected.

Michael Van Canneyt

2018-04-21 21:44

administrator   ~0107902

Please, in future be much more specific, it avoids misunderstandings.

In the designer I also tested by coloring the memos, and checking which one is drawn 'on top', that worked.

But I didn't test subsequent selection of a memo....

Anyway, fixed. Thanks for thorough testing.

Stephano

2018-04-22 10:30

developer   ~0107908

This bug report is about memos getting stuck behind other memos, and on how to access a memo via the OI, mouse, and arrow keys. However, when you said they work correctly on your setup, I realized you might have focused on the preview instead of the designer

Note: I also tested by coloring the memos :)

Issue History

Date Modified Username Field Change
2018-03-01 10:23 Stephano New Issue
2018-03-01 10:24 Stephano Assigned To => Michael Van Canneyt
2018-03-01 10:24 Stephano Status new => assigned
2018-03-01 11:55 Stephano Note Added: 0106787
2018-03-25 22:06 Stephano Note Added: 0107420
2018-03-25 23:03 Michael Van Canneyt Note Added: 0107421
2018-03-26 07:21 Stephano Note Added: 0107423
2018-04-21 18:55 Michael Van Canneyt Fixed in Revision => 57682.
2018-04-21 18:55 Michael Van Canneyt Note Added: 0107896
2018-04-21 18:55 Michael Van Canneyt Status assigned => resolved
2018-04-21 18:55 Michael Van Canneyt Fixed in Version => 1.9 (SVN)
2018-04-21 18:55 Michael Van Canneyt Resolution open => fixed
2018-04-21 19:24 Stephano Note Added: 0107897
2018-04-21 19:24 Stephano Status resolved => assigned
2018-04-21 19:24 Stephano Resolution fixed => reopened
2018-04-21 20:44 Michael Van Canneyt Note Added: 0107898
2018-04-21 20:44 Michael Van Canneyt Status assigned => resolved
2018-04-21 20:44 Michael Van Canneyt Resolution reopened => fixed
2018-04-21 21:25 Stephano Note Added: 0107900
2018-04-21 21:25 Stephano Status resolved => assigned
2018-04-21 21:25 Stephano Resolution fixed => reopened
2018-04-21 21:44 Michael Van Canneyt Fixed in Revision 57682. => 57683
2018-04-21 21:44 Michael Van Canneyt Note Added: 0107902
2018-04-21 21:44 Michael Van Canneyt Status assigned => resolved
2018-04-21 21:44 Michael Van Canneyt Resolution reopened => fixed
2018-04-22 10:30 Stephano Note Added: 0107908
2018-04-22 10:30 Stephano Status resolved => closed